Logoelepay
Code

Create EasyQR code

Creates an EasyQR code.

POST
/codes
AuthorizationBearer <token>

API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.

In: header

Request Body

application/json

EasyQR code request

amount*integer

Amount

currency?string

Currency code (ISO 4217)

Default"JPY"
orderNo*string

Merchant system order number (e.g., order number, payment ID, etc.). Maximum length is 50 characters.

description?string

The payment object's 'Description of the payment'

extra?

Used when there is additional payment-related information. For details, refer to 'Developer Guide -> Payment Extra Information Settings'. When creating a payment object, the extra configured here takes precedence.

metadata?

The payment object's 'Metadata'

expiryDuration?integer

EasyQR code expiration duration (minutes) Minimum: 3 minutes, Maximum: 30 minutes, Default: 10 minutes

frontUrl?string

Return URL after EasyCheckout payment is completed

Matchhttps?://[-A-Za-z0-9+&@#/%?=~_|!:,.;]+[-A-Za-z0-9+&@#/%=~_|]
items?

Product information

locationId?string

Location ID

customerId?string

Customer ID

sourceId?string

Customer source ID

shouldCreateSource?boolean

Whether a new customer source needs to be created with this code.

Defaultfalse

Response Body

application/json;charset=utf-8

curl -X POST "https://api.elepay.io/codes" \  -H "Content-Type: application/json" \  -d '{    "amount": 0,    "orderNo": "string"  }'
{
  "id": "string",
  "object": "code",
  "liveMode": true,
  "codeUrl": "string",
  "amount": 0,
  "currency": "JPY",
  "orderNo": "string",
  "description": "string",
  "extra": {
    "property1": "string",
    "property2": "string"
  },
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "status": "pending",
  "charge": {
    "id": "string",
    "appId": "string",
    "object": "charge",
    "liveMode": true,
    "amount": 0,
    "authorizeAmount": 0,
    "currency": "JPY",
    "authorize": true,
    "paymentMethod": "alipay",
    "resource": "web",
    "orderNo": "string",
    "description": "string",
    "extra": {
      "property1": "string",
      "property2": "string"
    },
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "cardInfo": {
      "brand": "string",
      "last4": "string",
      "expMonth": 0,
      "expYear": 0,
      "name": "string",
      "wallet": "string",
      "walletApp": "string",
      "repaymentType": "string",
      "approvalCode": "string",
      "threeDSecure": true,
      "threeDSecureVersion": "string",
      "threeDSecureDetail": "string",
      "businessType": "string",
      "konbiniScanTime": 0,
      "konbiniType": "string",
      "receivedAmount": 0,
      "receivedTime": 0,
      "bankUserCode": "string",
      "bankUserName": "string",
      "bankName": "string",
      "bankBranchName": "string",
      "bankAccountNo": "string"
    },
    "voucherNo": "string",
    "clientIp": "string",
    "paid": true,
    "refunded": true,
    "disputed": true,
    "refunds": {
      "amount": 0,
      "totalCount": 0,
      "data": [
        {
          "id": "string",
          "object": "refund",
          "chargeId": "string",
          "liveMode": true,
          "amount": 0,
          "currency": "string",
          "metadata": {
            "property1": "string",
            "property2": "string"
          },
          "reason": "string",
          "status": "pending",
          "refundedTime": 0,
          "createTime": 0
        }
      ]
    },
    "status": "pending",
    "codeContent": "string",
    "credential": "string",
    "paidTime": 0,
    "refundTime": 0,
    "expiryTime": 0,
    "settleTime": 0,
    "createTime": 0
  },
  "customer": {
    "id": "string",
    "object": "customer",
    "liveMode": true,
    "defaultSource": "string",
    "name": "string",
    "description": "string",
    "email": "string",
    "phone": "string",
    "remark": "string",
    "operator": "string",
    "status": "active",
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "updateTime": 0
  },
  "source": {
    "id": "string",
    "object": "source",
    "liveMode": true,
    "paymentMethod": "alipay",
    "resource": "web",
    "description": "string",
    "extra": {
      "property1": "string",
      "property2": "string"
    },
    "info": {
      "property1": {},
      "property2": {}
    },
    "cardInfo": {
      "brand": "string",
      "last4": "string",
      "expMonth": 0,
      "expYear": 0,
      "name": "string",
      "wallet": "string",
      "walletApp": "string",
      "repaymentType": "string",
      "approvalCode": "string",
      "threeDSecure": true,
      "threeDSecureVersion": "string",
      "threeDSecureDetail": "string",
      "businessType": "string",
      "konbiniScanTime": 0,
      "konbiniType": "string",
      "receivedAmount": 0,
      "receivedTime": 0,
      "bankUserCode": "string",
      "bankUserName": "string",
      "bankName": "string",
      "bankBranchName": "string",
      "bankAccountNo": "string"
    },
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "credential": "string",
    "status": "pending"
  },
  "frontUrl": "string",
  "items": [
    {
      "name": "string",
      "image": "string",
      "price": 0,
      "count": 0
    }
  ],
  "locationId": "string",
  "expired": true,
  "expiryTime": 0,
  "expiryPeriod": 0,
  "createTime": 0,
  "shouldCreateSource": true
}